Pular para o conteúdo principal
POST
/
augment
/
scrape
/api/v1/augment/scrape
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com"
}
'
{
  "url": "https://example.com",
  "content": "<string>",
  "format": "markdown"
}
Esta é uma API experimental. O formato da requisição e da resposta pode mudar sem aviso prévio.
Envie uma URL publicamente acessível no campo url. A API retorna o conteúdo da página como markdown. O scraper tenta primeiro o suporte nativo a markdown do site de destino (via Cloudflare Markdown for Agents) e, em seguida, recorre a uma extração com navegador headless. Alguns sites que bloqueiam acesso automatizado (por exemplo, X/Twitter, Reddit) são rejeitados imediatamente com um erro 400. Preço: US$ 0,01 por requisição.

Exemplo (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/scrape \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com"}'

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
url
string<uri>
obrigatório

The URL to scrape

Exemplo:

"https://example.com"

Resposta

Successfully scraped the URL

url
string
obrigatório

The URL that was scraped

Exemplo:

"https://example.com"

content
string
obrigatório

The scraped content in markdown format

format
enum<string>
obrigatório

The format of the scraped content

Opções disponíveis:
markdown